Api referenceNewsletterIssues

List newsletter issues (Preview)

Preview · Available to selected organizations. Lists the Markdown issues in the newsletter's shared Git workspace with each draft's title and its latest campaign send.

GET
/v1/newsletters/{id}/issues

Lists the Markdown issues in the newsletter's shared Git workspace with each draft's title and its latest campaign send. An uninitialized topic returns null projectId and revision. Requires newsletters and email.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

NewsletterIssueList

application/json
  1. response
projectId*|null
revision*|null
items*array<>
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.newsletters.issues.list({  "id": "example"});
Example Response
{  "projectId": "string",  "revision": "string",  "items": [    {      "path": "string",      "title": "string",      "latestSend": {        "campaignId": "string",        "run": {          "id": "string",          "status": "scheduled",          "scheduledFor": "string",          "completedAt": "string",          "totalRecipients": 0,          "dispatchedCount": 0,          "failedCount": 0,          "skippedCount": 0,          "pendingCount": 0,          "estimatedCompletionAt": "string"        }      }    }  ]}